org.eclipse.emf.facet.efacet.edit.core

## Interface IFacetCommandFactory

    public interface IFacetCommandFactory

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IFacetCommandFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`Command` `createAddAllCommand(EObject owner, EStructuralFeature feature, java.util.Collection<? extends java.lang.Object> newValues, EditingDomain domain, IFacetManager facetManager)`
`Command` `createAddCommand(EObject owner, EStructuralFeature feature, java.lang.Object newValue, EditingDomain domain, IFacetManager facetManager)`
`Command` `createRemoveAllCommand(EObject owner, EStructuralFeature feature, java.util.Collection<? extends java.lang.Object> values, EditingDomain domain, IFacetManager facetManager)`
`Command` `createRemoveCommand(EObject owner, EStructuralFeature feature, java.lang.Object value, EditingDomain domain, IFacetManager facetManager)`
`Command` `createSetCommand(EObject owner, EStructuralFeature feature, java.lang.Object newValue, EditingDomain domain, IFacetManager facetManager)`
`Command` `createUnSetCommand(EObject owner, EStructuralFeature feature, EditingDomain domain, IFacetManager facetManager)`

### Field Detail

#### DEFAULT

    static final IFacetCommandFactory DEFAULT

### Method Detail

#### createAddCommand

    Command createAddCommand(EObject owner,
                             EStructuralFeature feature,
                             java.lang.Object newValue,
                             EditingDomain domain,
                             IFacetManager facetManager)
                      throws FacetCommandException

Parameters:
  `feature` - must be multi-valued
Throws:
  `FacetCommandException`
  `java.lang.IllegalArgumentException` - if the parameter 'feature' is not multi-valued

#### createAddAllCommand

    Command createAddAllCommand(EObject owner,
                                EStructuralFeature feature,
                                java.util.Collection<? extends java.lang.Object> newValues,
                                EditingDomain domain,
                                IFacetManager facetManager)
                         throws FacetCommandException

Parameters:
  `feature` - must be multi-valued
Throws:
  `FacetCommandException`
  `java.lang.IllegalArgumentException` - if the parameter 'feature' is not multi-valued

#### createRemoveCommand

    Command createRemoveCommand(EObject owner,
                                EStructuralFeature feature,
                                java.lang.Object value,
                                EditingDomain domain,
                                IFacetManager facetManager)
                         throws FacetCommandException

Parameters:
  `feature` - must be multi-valued
Throws:
  `FacetCommandException`
  `java.lang.IllegalArgumentException` - if the parameter 'feature' is not multi-valued

#### createRemoveAllCommand

    Command createRemoveAllCommand(EObject owner,
                                   EStructuralFeature feature,
                                   java.util.Collection<? extends java.lang.Object> values,
                                   EditingDomain domain,
                                   IFacetManager facetManager)
                            throws FacetCommandException

Parameters:
  `feature` - must be multi-valued
Throws:
  `FacetCommandException`
  `java.lang.IllegalArgumentException` - if the parameter 'feature' is not multi-valued

#### createSetCommand

    Command createSetCommand(EObject owner,
                             EStructuralFeature feature,
                             java.lang.Object newValue,
                             EditingDomain domain,
                             IFacetManager facetManager)
                      throws FacetCommandException

Throws:
  `FacetCommandException`

#### createUnSetCommand

    Command createUnSetCommand(EObject owner,
                               EStructuralFeature feature,
                               EditingDomain domain,
                               IFacetManager facetManager)
                        throws FacetCommandException

Throws:
  `FacetCommandException`